Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src.nodes
Class FilterFactory

    java.lang.Object
      org.openide.src.nodes.FilterFactory

All Implemented Interfaces:
  ElementNodeFactory

    public class FilterFactory

extends Object
implements ElementNodeFactory

A factory used to create instances of hierarchy node implementations. Loaders that use the element hierarchy should implement this factory so as to provide their own implementations of hierarchy element nodes.

See Also:
  `ClassChildren`, `SourceChildren`

Constructor Summary
`FilterFactory()`

Method Summary
`void` | `attachTo(ElementNodeFactory factory)`
`Node` | `createClassNode(ClassElement element)` Make a node representing a class.
`Node` | `createConstructorNode(ConstructorElement element)` Make a node representing a constructor.
`Node` | `createErrorNode()` Make a node indicating that there was an error creating the element children.
`Node` | `createFieldNode(FieldElement element)` Make a node representing a field.
`Node` | `createInitializerNode(InitializerElement element)` Make a node representing an initializer.
`Node` | `createMethodNode(MethodElement element)` Make a node representing a method.
`Node` | `createWaitNode()` Make a node indicating that the creation of children is still under way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterFactory

    public FilterFactory()

Method Detail

### attachTo

    public final void attachTo(ElementNodeFactory factory)

### createConstructorNode

    public Node createConstructorNode(ConstructorElement element)

  Make a node representing a constructor.

  Specified by:
    `createConstructorNode` in interface `ElementNodeFactory`
  Parameters:
    `element` - the constructor
  Returns:
    a constructor node instance

### createMethodNode

    public Node createMethodNode(MethodElement element)

  Make a node representing a method.

  Specified by:
    `createMethodNode` in interface `ElementNodeFactory`
  Parameters:
    `element` - the method
  Returns:
    a method node instance

### createFieldNode

    public Node createFieldNode(FieldElement element)

  Make a node representing a field.

  Specified by:
    `createFieldNode` in interface `ElementNodeFactory`
  Parameters:
    `element` - the field
  Returns:
    a field node instance

### createInitializerNode

    public Node createInitializerNode(InitializerElement element)

  Make a node representing an initializer.

  Specified by:
    `createInitializerNode` in interface `ElementNodeFactory`
  Parameters:
    `element` - the initializer
  Returns:
    an initializer node instance

### createClassNode

    public Node createClassNode(ClassElement element)

  Make a node representing a class.

  Specified by:
    `createClassNode` in interface `ElementNodeFactory`
  Parameters:
    `element` - the class
  Returns:
    a class node instance

### createWaitNode

    public Node createWaitNode()

  Make a node indicating that the creation of children is still under way. It should be used when the process is slow.

  Specified by:
    `createWaitNode` in interface `ElementNodeFactory`
  Returns:
    a wait node

### createErrorNode

    public Node createErrorNode()

  Make a node indicating that there was an error creating the element children.

  Specified by:
    `createErrorNode` in interface `ElementNodeFactory`
  Returns:
    the error node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.